<template>
  <div id="article-app-container-div">
    <app-header>
      <p slot="time" style="text-align:right;">{{getCurrentTime}}</p>
      <h1 slot="title">{{appTitle}}</h1>
    </app-header>
    <app-article :articleTitle="articleTitle"></app-article>
    <component :is="'app-footer'"></component>
  </div>
</template>

<script>
import Header from "./HeaderComponent/Header";
import Article from "./ArticleContent";
import Footer from "./Footer";
import timeMixin from "./../Mixins/timeMixins";

export default {
  props: ["articleTitle"],
  components: {
    "app-header": Header,
    "app-article": Article,
    "app-footer": Footer
  },
  data() {
    return {
      appTitle: "Learning"
    };
  },
  mixins: [timeMixin]
};
</script>